<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Detailsreiter\FeedbackFormularPdf;

class PrintFeedbackFormularController extends \Kufer\Web\KuferTools\Basis\Controller\ToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new PrintFeedbackFormularUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new PrintFeedbackFormularRequest();
    $requestObj->knr = \GetOperations::getVarValue('knr');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new PrintFeedbackFormularPresenter($pUseCaseResponse);
  }
}